/*
 * Copyright (c) 2004 Henri Sivonen
 *
 * Permission is hereby granted, free of charge, to any person obtaining a 
 * copy of this software and associated documentation files (the "Software"), 
 * to deal in the Software without restriction, including without limitation 
 * the rights to use, copy, modify, merge, publish, distribute, sublicense, 
 * and/or sell copies of the Software, and to permit persons to whom the 
 * Software is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in 
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR 
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, 
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL 
 * THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER 
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING 
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER 
 * DEALINGS IN THE SOFTWARE.
 */

package fi.iki.hsivonen.template.test;
import gnu.xml.pipeline.NSFilter;
import gnu.xml.pipeline.TextConsumer;
import gnu.xml.util.DomParser;

import java.io.IOException;

import javax.xml.parsers.DocumentBuilderFactory;

import org.w3c.dom.Document;
import org.w3c.dom.Element;
import org.w3c.dom.Node;
import org.xml.sax.SAXException;

/**
 *
 * @author  hsivonen
 */
public class BadChars {
    
    /** Creates a new instance of BadChars */
    public BadChars() {
    }
    
    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) throws Exception {
        Document doc = DocumentBuilderFactory.newInstance().newDocumentBuilder().newDocument();
        System.out.println(doc.getClass());
        Element root = doc.createElementNS("http://foo", "o");
        doc.appendChild(root);
        Node text = doc.createTextNode("\u0000");
        root.appendChild(text);
        DomParser parser = new DomParser(doc);
        TextConsumer writer = new TextConsumer(System.out);
        writer.setXhtml(false);
        writer.setPrettyPrinting(false);
        NSFilter nsFix = new NSFilter(writer);
        parser.setContentHandler(nsFix);
        try {
            parser.setFeature("http://xml.org/sax/features/namespace-prefixes",  false);
            parser.parse("");
        } catch(SAXException e) {
            if(e.getException() instanceof IOException) {
                throw (IOException)new IOException().initCause(e);
            } else {
                // This shouldn't happen unless there is a bug that can be 
                // likened to a NullPointerException. We're not parsing XML 
                // but traversing a tree that is known to be a tree.
                throw new RuntimeException(e);
            }
        }

    }
    
}
