/*
 * Copyright (c) 2003, 2004 Henri Sivonen
 *
 * Permission is hereby granted, free of charge, to any person obtaining a 
 * copy of this software and associated documentation files (the "Software"), 
 * to deal in the Software without restriction, including without limitation 
 * the rights to use, copy, modify, merge, publish, distribute, sublicense, 
 * and/or sell copies of the Software, and to permit persons to whom the 
 * Software is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in 
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR 
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, 
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL 
 * THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER 
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING 
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER 
 * DEALINGS IN THE SOFTWARE.
 */

package fi.iki.hsivonen.template.test;
import java.net.URL;
import java.util.Date;

/**
 *
 * @author  hsivonen
 */
public class TestItem implements fi.iki.hsivonen.template.Item {
    
    private Date dateModified;
    
    private Date dateCreated;
    
    private String title;
    
    private java.net.URL url;
    
    /** Creates a new instance of TestItem */
    public TestItem(Date dateModified,
    Date dateCreated,
    String title,
    URL url) {
        this.dateCreated = dateCreated;
        this.dateModified = dateModified;
        this.title = title;
        this.url = url;
    }
    
    /** Getter for property url.
     * @return Value of property url.
     *
     */
    public java.net.URL getURL() {
        return url;
    }    

    /** Setter for property url.
     * @param url New value of property url.
     *
     */
    public void setURL(java.net.URL url) {
        this.url = url;
    }    
    
    /** Getter for property title.
     * @return Value of property title.
     *
     */
    public java.lang.String getTitle() {
        return title;
    }
    
    /** Setter for property title.
     * @param title New value of property title.
     *
     */
    public void setTitle(java.lang.String title) {
        this.title = title;
    }
    
    /** Getter for property dateCreated.
     * @return Value of property dateCreated.
     *
     */
    public java.util.Date getDateCreated() {
        return dateCreated;
    }
    
    /** Setter for property dateCreated.
     * @param dateCreated New value of property dateCreated.
     *
     */
    public void setDateCreated(java.util.Date dateCreated) {
        this.dateCreated = dateCreated;
    }
    
    /** Getter for property dateModified.
     * @return Value of property dateModified.
     *
     */
    public java.util.Date getDateModified() {
        return dateModified;
    }
    
    /** Setter for property dateModified.
     * @param dateModified New value of property dateModified.
     *
     */
    public void setDateModified(java.util.Date dateModified) {
        this.dateModified = dateModified;
    }
    
}
